/**
 * 业务配置
 * */
const isDev = process.env.NODE_ENV === 'development' // 开发环境
let host = `${location.origin}/`
if (isDev) {
  host = 'http://124.71.79.122/'
	// host = 'http://192.168.31.217:10010/'
}

const Setting = {
    /**
     * 基础配置
     * */
    titleSuffix: '幼教产品B2B生态平台后台管理', // 网页标题的后缀
    routerMode: "hash", // 路由模式，可选值为 history 或 hash
    showProgressBar: true, // 页面切换时，是否显示模拟的进度条
    apiBaseURL: host, // 接口请求地址
    autoLogoutTime: 3600000, // 长时间未操作，自动退出登录时间
    modalDuration: 3, // 接口请求返回错误时，弹窗的持续时间，单位：秒
    errorModalType: "Message", // 接口请求返回错误时，弹窗的类型，可选值为 Message 或 Notice
    tokenExpires: 1296000000, // token在localStorage的时间(毫秒)
    isDev,
    /**
     * 路由白名单
     * */
    whiteList: ['/login', '/redirect', '/join', '/join/success'],
    /**
     * localStorage里保存的token的key
     */
    tokenKey: "preschoolEdu_server_token",
    /**
     * localStorage里保存的vuex的key
     */
    storeKey: "preschoolEdu_server_store",
    /**
     * 默认密码
     */
    initialPassword: "111aaa",
    /**
     * 多语言配置
     * */
    i18n: {
      // 默认语言
      default: "zh",
      // 是否根据用户电脑配置自动设置语言（仅第一次有效）
      auto: false
    },
    /**
     * 布局配置
     * */
    layout: {},
    /**
     * 功能配置
     * */
    // 相同路由，不同参数间进行切换，是否强力更新
    sameRouteForceUpdate: false,
    // 是否使用动态路由(即角色权限,开启了的话就会取后端返回的权限树来显示头部导肮和页面按钮)
    dynamicRoute: false
};

export default Setting;
